Package com.macrofocus.application

# Class SimpleApplicationModel

java.lang.Object
com.macrofocus.application.SimpleApplicationModel

All Implemented Interfaces:
  `ApplicationModel`, `Serializable`

public class SimpleApplicationModel extends Object implements ApplicationModel, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleApplicationModel(String name, String edition, VersionModel versionModel, Class mainClass, String copyright)`
  `SimpleApplicationModel(String name, String edition, VersionModel versionModel, String mainClassName, String copyright, LicenseModel.Validity validity, LicenseModel.Expiration expiration)`
  `SimpleApplicationModel(String name, String edition, String version, Class mainClass, String copyright)`
  `SimpleApplicationModel(String name, String edition, String version, String mainClassName, String copyright, LicenseModel.Validity validity, LicenseModel.Expiration expiration)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCopyright()`
  `String`
  `getEdition()`
  Gets the edition name of this application
  `LicenseModel.Expiration`
  `getExpiration()`
  `LicenseModel`
  `getLicenseModel()`
  `Class`
  `getMainClass()`
  `String`
  `getName()`
  Gets the name of this application
  `LicenseModel.Validity`
  `getValidity()`
  `String`
  `getVersion()`
  Gets the version number of this application
  `VersionModel`
  `getVersionModel()`
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleApplicationModel

    public SimpleApplicationModel(String name, String edition, VersionModel versionModel, Class mainClass, String copyright)

  - ### SimpleApplicationModel

    public SimpleApplicationModel(String name, String edition, String version, Class mainClass, String copyright)

  - ### SimpleApplicationModel

    public SimpleApplicationModel(String name, String edition, String version, String mainClassName, String copyright, LicenseModel.Validity validity, LicenseModel.Expiration expiration)

  - ### SimpleApplicationModel

    public SimpleApplicationModel(String name, String edition, VersionModel versionModel, String mainClassName, String copyright, LicenseModel.Validity validity, LicenseModel.Expiration expiration)

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `ApplicationModel`
    Gets the name of this application
    Specified by:
      `getName` in interface `ApplicationModel`
    Returns:
      the name of the application

  - ### getEdition

    public String getEdition()
    Description copied from interface: `ApplicationModel`
    Gets the edition name of this application
    Specified by:
      `getEdition` in interface `ApplicationModel`
    Returns:
      the edition name of the application

  - ### getVersionModel

    public VersionModel getVersionModel()
    Specified by:
      `getVersionModel` in interface `ApplicationModel`

  - ### getVersion

    public String getVersion()
    Description copied from interface: `ApplicationModel`
    Gets the version number of this application
    Specified by:
      `getVersion` in interface `ApplicationModel`
    Returns:
      the version number of this application

  - ### getCopyright

    public String getCopyright()
    Specified by:
      `getCopyright` in interface `ApplicationModel`

  - ### getMainClass

    public Class getMainClass()
    Specified by:
      `getMainClass` in interface `ApplicationModel`

  - ### getValidity

    public LicenseModel.Validity getValidity()
    Specified by:
      `getValidity` in interface `ApplicationModel`

  - ### getExpiration

    public LicenseModel.Expiration getExpiration()
    Specified by:
      `getExpiration` in interface `ApplicationModel`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getLicenseModel

    public LicenseModel getLicenseModel()
    Specified by:
      `getLicenseModel` in interface `ApplicationModel`

  - ### setLicenseModel

    public void setLicenseModel(LicenseModel licenseModel)
    Specified by:
      `setLicenseModel` in interface `ApplicationModel`